<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Настройки MPOS</title>
    <f:facet name="last">
        <!--<h:outputStylesheet library="css" name="primefaces-override.css"/>-->
    </f:facet>
</h:head>
<h:body>
    <f:facet name="last">
        <h:outputStylesheet library="css" name="primefaces-override.css"/>
    </f:facet>
    <h:form>
        <p:growl id="error" showDetail="false"/>
        <p:outputPanel id="tsettingsmposTableDetail" style="text-align:center;" autoUpdate="true">
            <p:panelGrid columns="4">

                <h:outputLabel value="ID:" />
                <h:inputText  value="#{tsettingsmposview.concreetTSettingsMpos.id}" readonly="true" required="true" requiredMessage="Введите ID MPOS-а" disabled="true"/>

                <h:outputLabel value="ТермИд:" />
                <h:inputText  value="#{tsettingsmposview.concreetTSettingsMpos.termId}" requiredMessage="Введите ТермИд" readonly="false"  style="background-color: yellow;" maxlength="20" required="true" />


                <h:outputLabel value="Внешняя система:" />
                <h:inputText  value="#{tsettingsmposview.concreeteExternalSystem.extId}" disabled="true" readonly="true"/>

                <h:outputLabel id="bank" value="Банк:" />
                <h:inputText  value="#{tsettingsmposview.concreetTSettingsMpos.psid}" readonly="false"  required="true" style="background-color: yellow;" maxlength="4" requiredMessage="Введите Банк"/>

                <h:outputLabel value="Филиал:"/>
                <h:inputText  value="#{tsettingsmposview.concreetTSettingsMpos.fiid}" readonly="false" required="true" style="background-color: yellow;" maxlength="4" requiredMessage="Введите Филиал"/>

                <h:outputLabel value="IP-адрес:" />
                <h:inputText maxlength="30" value="#{tsettingsmposview.concreetTSettingsMpos.termIP}" requiredMessage="Введите IP-адрес" readonly="false" required="true" style="background-color: yellow;"/>

                <h:outputLabel value="Порт:" />
                <h:inputText maxlength="20" value="#{tsettingsmposview.concreetTSettingsMpos.termport}" requiredMessage="Введите порт" readonly="false" required="true" style="background-color: yellow;"/>

                <h:outputLabel value="Таймаут:" />
                <h:inputText  value="#{tsettingsmposview.concreetTSettingsMpos.timeOut}" requiredMessage="Введите таймаут" readonly="false" required="true" style="background-color: yellow;"/>

                <h:outputLabel value="ISBUSY:" />
                <p:selectOneMenu id="console3"  height="100"  value="#{tsettingsmposview.concreetTSettingsMpos.isBusy}" requiredMessage="Выберите пункт" required="true"  panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label" style="width:125px;">
                    <f:selectItem itemLabel="‘0’ – не занят" itemValue="0" />
                    <f:selectItem itemLabel="‘1’ – занят" itemValue="1" />
                </p:selectOneMenu>

                <h:outputLabel for="menuOptions" value= "Операция:"/>
                <p:selectManyMenu id="menuOptions" value="#{tsettingsmposview.paymentOptionsList}"  panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label" style="width:125px;">
                    <f:selectItem itemLabel="Нет настройки" itemValue="" />
                    <f:selectItem itemLabel="‘B’ – запрос баланса" itemValue="B" />
                    <f:selectItem itemLabel="‘D’ – зачисление на карту" itemValue="D" />
                    <f:selectItem itemLabel="‘W’ – списание с карты" itemValue="W" />
                </p:selectManyMenu>

                <h:outputLabel value="Разреш.Банки:" />
                <h:inputText maxlength="10" value="#{tsettingsmposview.concreetTSettingsMpos.psidIsAlwd}" readonly="false" required="true" style="background-color: yellow;"/>

            </p:panelGrid>
        </p:outputPanel>
        <div>
        <p:separator/>
        <p:commandButton value="Сохранить" ajax="false" action="#{tsettingsmposview.saveFocusedRow}" styleClass="submitButton"/>
        <p:commandButton value="Отменить" ajax="false" action="#{tsettingsmposview.close}" immediate="true" styleClass="cancelButton"/>
    </div>
    </h:form>
</h:body>
</html>

